%define name	seq24
%define version	0.5.1
%define release 1mdk

Name: 	 	%{name}
Summary: 	Minimalistic, loop-based MIDI sequencer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.filter24.org/seq24/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtkmm-devel libalsa-devel

%description
Seq24 is a real-time midi sequencer. It was created to provide a very simple
interface for editing and playing midi 'loops'. After searching for a software
based sequencer that would provide the functionality needed for a live techno
performance, such as the Akai MPC line, the Kawai Q80 sequencer, or the
popular Alesis MMT-8, I found nothing similar in the software realm. I set out
to create a very minimal sequencer that excludes the bloated features of the
large software sequencers, and includes a small subset of features that I have
found usable in performing.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Seq24" longtitle="Loop-based MIDI sequencer" section="Multimedia/Sound"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING RTC SEQ24
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Tue Jul 13 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Wed Jun 16 2004 Austin Acton <austin@mandrake.org> 0.5.0-1mdk
- 0.5.0
- configure 2.5

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.4.4-1mdk
- 0.4.4

* Wed May 14 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- initial package
